create or replace package cookie_pack
is
procedure send;
procedure get;
procedure kill;
end cookie_pack;
/

create or replace package body cookie_pack
is


procedure send 
is
      seq_val number := 0;
      the_cookie owa_cookie.cookie;
      session_name    varchar2(4096) := '';
begin
   the_cookie.num_vals := 0;
   the_cookie := owa_cookie.get('SESSION');
   if the_cookie.num_vals = 0 then
      select sess_seq.nextval
      into seq_val
      from sys.dual;



-- the mime header command sends a command to the user's browser
-- indicationg that the information to follow is a new HTTP request.
-- The cookie commands must be the first command in the header.
     
      owa_util.mime_header('text/html', FALSE);
      session_name := 'Session is ' || seq_val;
--  The cookie send will send the following to the HTML
--  Set-Cookie: <name>=<value> expires=<expires> path=<path> domain=<domain> secure
      owa_cookie.send('Session', session_name, NULL, '/', NULL, NULL);
      owa_util.http_header_close;
    end if;
htp.htmlOpen;
htp.headOpen;
htp.title('Cookie Example - Send');
htp.headClose;
htp.bodyOpen('/image/owasbkg','bgcolor=white');
htp.header(1, 'Cookie Example - Send');
htp.CenterOpen;
htp.fontOpen(NULL,'arial','+1');
htp.print('Send Cookie Page');
htp.fontclose;
if the_cookie.num_vals= 0 then
       htp.header(3,'Setting cookie' || htf.fontopen('blue')||'SESSION'||htf.fontclose||
       ' = ' ||htf.fontopen('red')||session_name||htf.font_close);
else
       htp.header(3,'Setting cookie' || htf.fontopen('blue')||'SESSION'||htf.fontclose||
       ' = ' ||htf.fontopen('red')||session_name||htf.font_close||'Already Set');
end if;
htp.centerclose;
htp.blockquoteOpen;
htp.preOpen;
htp.bold('Send A Cookie:');
    htp.print ('owa_util.mime_header(''text/html'',false); ');
    htp.print ('session_name := Session_' || seq_val );  
      
   
